/* --------------------------------------------------------------------------- 
	Combines	zoomer.js
				platform/browser detection
				showVersion
				messages
				utilities: startUp   setBusy
 --------------------------------------------------------------------------- 

	ZOOMER
	Adapted to Jmol by Angel Herrez, from Eric Martz's zoomer.js in DNA tutorial
	New version 2005/03/07 for DNA tutorial beta6
	
	Multilingual-ready version -- now, Spanish & English  (controlled by setting variable [lang] )
	Language-specific text defined at bottom
	
	Includes platform/OS detection and accented character management for alerts
	
	acentos.js  MUST BE CALLED BEFORE THIS FILE
*/

var lang = 'es'
//other values: es en

var startupZoom = 250; 
var zoom = startupZoom; // both for helix and for base pairs was 200 for Chime, 250 for Jmol

/*
The zoom value in the move command is ADDED to the present zoom.
So, to go from 100% to 200%, +100.
To go from 100% to 50%, -50.
*/

var loadedMol = ""


function two_x()
{
	var oldzoom;
	var addzoom;
	if ((zoom * 2) <= 800)
	{
		addzoom = (zoom * 2) - zoom;
		oldzoom = zoom;
		zoom *= 2;
		var zoomCommand = "zoom " + oldzoom + ";move 0 0 0 " + addzoom + " 0 0 0 0 2 30 10;"
	}
	else
	{
		var zoomCommand = "zoom " + zoom + ";"
		alert(txMaxSize);
	}
	jmolScript(zoomCommand)
}

function half_x()
{
	var oldzoom;
	var subzoom;
	if ((zoom / 2) >= 25)
	{
		subzoom = zoom - (zoom / 2);
		oldzoom = zoom;
		zoom /= 2;
		var zoomCommand = "zoom " + oldzoom + ";move 0 0 0 -" + subzoom + " 0 0 0 0 2 30 10"
	}
	else
	{
		var zoomCommand = "zoom " + zoom + ";"
		alert(txMinSize);
	}
	jmolScript(zoomCommand)
}

/* ------  	PLATFORM/BROWSER DETECTION    -------------------------- 
				not needed any longer?  verify						*/

var browser_OS 

if (navigator.appVersion.toLowerCase().indexOf("windows") != -1) {
	browser_OS = "Win"
}
else if (navigator.appVersion.toLowerCase().indexOf("mac") != -1) {
	browser_OS = "Mac"
}
else {
	browser_OS = "other"	//needs more analysis in future (Linux, at least)
}


/*    MESSAGES BY LANGUAGE AND OPERATING SYSTEM   
*/

var txMaxSize, txMinSize
switch (lang) {
	case 'es' : 
			txMaxSize = acentos("Se ha alcanzado el tamao mximo.")
			txMinSize = acentos("Se ha alcanzado el tamao mnimo.")
	break
	
	case 'en' : 
		txMaxSize = "Maximum size has been reached."
		txMinSize = "Minimum size has been reached."
	break
}

/*    Common Utilities 
*/

function startUp(pag)
{	if ( loadedMol=="dna" ) 
	{	jmolScript("script " + pag + ".spt; ")	
		zoom=startupZoom
		loadedMol = "dna"
	}
	else 
	{	jmolScript("load 1d66-pwz.pdb; script " + pag + ".spt")	
		zoom=startupZoom
		loadedMol = "dna"
	}
}

function footer()
{	mouseHelp()
	showVersion()
}

function mouseHelp()
{	
	var tx = ""
	switch (lang) {
		case 'es' : 
			tx = "Ayuda con el uso del rat&oacute;n"
			break
		case 'en' : 
			tx = "Help for use of mouse"
			break
	}
	var tx1 = '<a href="mousesum.htm" target="mousewin">'
	tx1 += '<img src="mouse.gif" border=0 alt="'+ tx + '" title="' + tx + '"></a>'
	document.write(tx1)
}

/*
function showVersionBeta() {
	var tx = '<br><center>'
	tx += '<big>beta 6</big><br/>Jmol 10.00'
	tx += '</center>'
	document.write(tx)
	document.close()
}
*/

function showVersion() {
	var tx = ""
	switch (lang) {
		case 'es' : 
			tx = "Versin J3.0.1, con Jmol 10.00"
			break
		case 'en' : 
			tx = "Version J3.0.1, with Jmol 10.00"
			break
	}
	tx = '<br><a href="javascript:alert(\'' + tx + '\')">Versi&oacute;n</a>'
	document.write(tx)
}
